glibmm: Glib::Threads::ThreadError Class Reference

glibmm 2.66.1

Public Types | Public Member Functions | List of all members
Glib::Threads::ThreadError Class Reference
Threads

Exception class for thread-related errors. More...

`#include <glibmm/threads.h>`

Inheritance diagram for Glib::Threads::ThreadError:
[legend]

## Public Types
enum | Code { AGAIN }
| Possible errors of thread related functions. More...

## Public Member Functions
| ThreadError (Code error_code, const Glib::ustring& error_message)
| ThreadError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for thread-related errors.

Deprecated:
  Please use std::lock_guard or std::unique_lock instead.

## Member Enumeration Documentation

## ◆ Code

enum Glib::Threads::ThreadError::Code

Possible errors of thread related functions.

Enumerator
AGAIN | A thread couldn't be created due to resource shortage. Try again later.

## Constructor & Destructor Documentation

## ◆ ThreadError() [1/2]

Glib::Threads::ThreadError::ThreadError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

## ◆ ThreadError() [2/2]

Glib::Threads::ThreadError::ThreadError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::Threads::ThreadError::code | ( |  | ) | const